Description

Restore defaults in Symbology not works, for example, complete test case:
1.-Open gvSIG
2.-Click Preferences
4.-Select Symbology
5.-Change size default font--> 12
6.-Change default font--> Times New Roman
7.-Change default_fill_color--> Red
8.-Ok
9.-Close gvSIG
10.-Open gvSIG
11.-Click Preferences
12.-Select Symbology
13.-Check that the size default font is 12
14.-Check that the default font is Times New Roman
15.- Check that the default_fill_color is red
16.-Click Restore defaults
17.-Ok
18.-Close gvSIG
19.-Open gvSIG
20.-Click Preferences
21.-Select Symbology

When you click in restore defaults size, font and default fill color should changed to size= 8, Font= Dialog and,  Default fill color= blue.
-----------------------------------
Restaurar valores predeterminados de simbología no funciona, por ejemplo, completar el caso de prueba:
1.-Abrir gvSIG
2.-Clic en Preferencias
4.-Seleccionar Simbología
5.-Cambiar tamaño de la fuente por defecto -> 12
6.-Cambio de fuente por defecto -> Times New Roman
7.-Cambio default_fill_color -> Red
8.-Ok
9.-Cerrar gvSIG
10.-Abrir gvSIG
11.-Clic en Preferencias
12.-Seleccionar Simbología
13.-Verifique que el tamaño de la fuente por defecto es de 12
14.-Verifique que la fuente predeterminada es Times New Roman
15 -.Compruebe que default_fill_color es de color rojo
16.-Haga clic en Restaurar valores predeterminados
17.-Ok
18.-Cerrar gvSIG
19.-Abrir gvSIG
20.-Clic en Preferencias
21.-Seleccionar Simbología
Al hacer clic en restaurar los valores predeterminados, el tamaño de fuente, la fuente y el color de relleno deberían haber cambiado a
tamaño = 8, Fuente = Dialog y el color de relleno por defecto= azul.

History
#1 - 12/10/2013 11:39 AM - Juan Lucas Domínguez
- Status changed from New to Fixed
- Assignee set to Juan Lucas Domínguez
- Target version set to 2.1.0-2223-rc1

Added body to init defaults method.

gvsig-desktop:r40974

#2 - 01/13/2014 08:53 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2217-devel

#3 - 01/27/2014 05:11 PM - Álvaro Anguix
- Status changed from Fixed to Closed
